Bug 751885 - ERROR with rpm_check_debug vs depsolve: -- see below
ERROR with rpm_check_debug vs depsolve: -- see below
Status: CLOSED DUPLICATE of bug 685160
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
: 752500 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 17:07 EST by Kevin
Modified: 2014-01-21 01:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-04 08:01:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin 2011-11-07 17:07:04 EST
Description of problem:


[root@tert ~]# yum update
Loaded plugins: rhnplugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package clamav.x86_64 0:0.97.3-1.el5.rf set to be updated
---> Package clamav-db.x86_64 0:0.97.3-1.el5.rf set to be updated
---> Package freetype.i386 0:2.2.1-28.el5_7.1 set to be updated
---> Package freetype.x86_64 0:2.2.1-28.el5_7.1 set to be updated
---> Package freetype-devel.i386 0:2.2.1-28.el5_7.1 set to be updated
---> Package freetype-devel.x86_64 0:2.2.1-28.el5_7.1 set to be updated
---> Package httpd.x86_64 0:2.2.3-53.el5_7.3 set to be updated
---> Package httpd-devel.i386 0:2.2.3-53.el5_7.3 set to be updated
---> Package httpd-devel.x86_64 0:2.2.3-53.el5_7.3 set to be updated
---> Package httpd-manual.x86_64 0:2.2.3-53.el5_7.3 set to be updated
---> Package kernel.x86_64 0:2.6.18-274.7.1.el5 set to be installed
---> Package kernel-devel.x86_64 0:2.6.18-274.7.1.el5 set to be installed
---> Package kernel-headers.x86_64 0:2.6.18-274.7.1.el5 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-274.7.1.el5 set to be installed
---> Package libxml2.i386 0:2.6.26-2.1.12.el5_7.1 set to be updated
---> Package libxml2.x86_64 0:2.6.26-2.1.12.el5_7.1 set to be updated
---> Package libxml2-devel.i386 0:2.6.26-2.1.12.el5_7.1 set to be updated
---> Package libxml2-devel.x86_64 0:2.6.26-2.1.12.el5_7.1 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.12.el5_7.1 set to be updated
---> Package mod_ssl.x86_64 1:2.2.3-53.el5_7.3 set to be updated
---> Package nss_ldap.x86_64 0:253-42.el5_7.4 set to be updated
---> Package rsh.x86_64 0:0.17-40.el5_7.1 set to be updated
---> Package tzdata.x86_64 0:2011l-4.el5 set to be updated
---> Package xen-libs.i386 0:3.0.3-132.el5_7.2 set to be updated
---> Package xen-libs.x86_64 0:3.0.3-132.el5_7.2 set to be updated
---> Package xorg-x11-drv-sis.x86_64 0:0.9.1-7.3.el5_7.1 set to be updated
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:2.6.18-238.9.1.el5 set to be erased
---> Package kernel-devel.x86_64 0:2.6.18-238.9.1.el5 set to be erased
---> Package kernel-xen.x86_64 0:2.6.18-238.9.1.el5 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================
 Package                     Arch              Version                          Repository                       Size
======================================================================================================================
Installing:
 kernel                      x86_64            2.6.18-274.7.1.el5               rhel-x86_64-server-5             21 M
 kernel-devel                x86_64            2.6.18-274.7.1.el5               rhel-x86_64-server-5            5.6 M
 kernel-xen                  x86_64            2.6.18-274.7.1.el5               rhel-x86_64-server-5             21 M
Updating:
 clamav                      x86_64            0.97.3-1.el5.rf                  dag                             2.3 M
 clamav-db                   x86_64            0.97.3-1.el5.rf                  dag                              30 M
 freetype                    i386              2.2.1-28.el5_7.1                 rhel-x86_64-server-5            312 k
 freetype                    x86_64            2.2.1-28.el5_7.1                 rhel-x86_64-server-5            311 k
 freetype-devel              i386              2.2.1-28.el5_7.1                 rhel-x86_64-server-5            148 k
 freetype-devel              x86_64            2.2.1-28.el5_7.1                 rhel-x86_64-server-5            148 k
 httpd                       x86_64            2.2.3-53.el5_7.3                 rhel-x86_64-server-5            1.2 M
 httpd-devel                 i386              2.2.3-53.el5_7.3                 rhel-x86_64-server-5            151 k
 httpd-devel                 x86_64            2.2.3-53.el5_7.3                 rhel-x86_64-server-5            151 k
 httpd-manual                x86_64            2.2.3-53.el5_7.3                 rhel-x86_64-server-5            815 k
 kernel-headers              x86_64            2.6.18-274.7.1.el5               rhel-x86_64-server-5            1.3 M
 libxml2                     i386              2.6.26-2.1.12.el5_7.1            rhel-x86_64-server-5            795 k
 libxml2                     x86_64            2.6.26-2.1.12.el5_7.1            rhel-x86_64-server-5            807 k
 libxml2-devel               i386              2.6.26-2.1.12.el5_7.1            rhel-x86_64-server-5            2.1 M
 libxml2-devel               x86_64            2.6.26-2.1.12.el5_7.1            rhel-x86_64-server-5            2.1 M
 libxml2-python              x86_64            2.6.26-2.1.12.el5_7.1            rhel-x86_64-server-5            713 k
 mod_ssl                     x86_64            1:2.2.3-53.el5_7.3               rhel-x86_64-server-5             94 k
 nss_ldap                    x86_64            253-42.el5_7.4                   rhel-x86_64-server-5            1.4 M
 rsh                         x86_64            0.17-40.el5_7.1                  rhel-x86_64-server-5             45 k
 tzdata                      x86_64            2011l-4.el5                      rhel-x86_64-server-5            765 k
 xen-libs                    i386              3.0.3-132.el5_7.2                rhel-x86_64-server-5            173 k
 xen-libs                    x86_64            3.0.3-132.el5_7.2                rhel-x86_64-server-5            170 k
 xorg-x11-drv-sis            x86_64            0.9.1-7.3.el5_7.1                rhel-x86_64-server-5            417 k
Removing:
 kernel                      x86_64            2.6.18-238.9.1.el5               installed                        93 M
 kernel-devel                x86_64            2.6.18-238.9.1.el5               installed                        16 M
 kernel-xen                  x86_64            2.6.18-238.9.1.el5               installed                        95 M

Transaction Summary
======================================================================================================================
Install       3 Package(s)
Upgrade      23 Package(s)
Remove        3 Package(s)
Reinstall     0 Package(s)
Downgrade     0 Package(s)

Total size: 94 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
xen-libs is needed by (installed) xen-3.0.3-41.el5.x86_64
xen-libs is needed by (installed) xen-3.0.3-41.el5.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])



Version-Release number of selected component (if applicable):


How reproducible:

-- see above

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jan Zeleny 2013-03-04 07:58:15 EST
*** Bug 752500 has been marked as a duplicate of this bug. ***
Comment 2 Jan Zeleny 2013-03-04 08:01:16 EST

*** This bug has been marked as a duplicate of bug 685160 ***

Note You need to log in before you can comment on or make changes to this bug.